Bug 1140476 - yr.no API changes
Summary: yr.no API changes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libgweather
Version: 21
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1139747
Blocks: F21AlphaFreezeException 1140475
TreeView+ depends on / blocked
 
Reported: 2014-09-11 04:47 UTC by Christopher Tubbs
Modified: 2014-09-27 09:51 UTC (History)
12 users (show)

Fixed In Version: gnome-clocks-3.13.92-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of: 1139747
Environment:
Last Closed: 2014-09-27 09:51:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 736334 None None None Never

Description Christopher Tubbs 2014-09-11 04:47:54 UTC
+++ This bug was initially created as a clone of Bug #1139747 +++

One of the third-party services we use for weather forecasts has had an API change, which took effect today (9th September 2014).

This will need fixing (probably upstream first) and backporting to the version we use in RHEL7.

See the upstream bug report:
https://bugzilla.gnome.org/show_bug.cgi?id=736334

--- Additional comment from Bastien Nocera on 2014-09-10 03:40:25 EDT ---

It's been fixed in:
https://git.gnome.org/browse/libgweather/commit/?id=77c4dbc22cd09a5151e5bfbfcc29bf7747126294

--- Additional comment from Kevin Stange on 2014-09-10 15:23:06 EDT ---

This also affects libgweather-3.8.3-1.fc19, and presumably F20 also.

Comment 1 Andre Robatino 2014-09-11 16:23:29 UTC
Confirming that it affects libgweather-3.10.1-1.fc20 in F20. Just found this bug after gnome-shell-extension-weather couldn't load the weather for 2 days.

Comment 2 Kalev Lember 2014-09-11 18:36:10 UTC
I'm going to re-use the bug for requesting a freeze break for F21 Alpha. Would be nice to pull in the fix in order to have working Weather application on the Workstation media.

Comment 3 Fedora Update System 2014-09-11 18:37:23 UTC
libgweather-3.13.91-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libgweather-3.13.91-2.fc21

Comment 4 Fedora Update System 2014-09-11 18:37:31 UTC
libgweather-3.10.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libgweather-3.10.2-2.fc20

Comment 5 Mike Ruckman 2014-09-11 18:54:33 UTC
-1 FE. This is easily solved with an update after install.

Comment 6 Andre Robatino 2014-09-11 19:49:46 UTC
-2 didn't have the fix, the updated builds are at https://admin.fedoraproject.org/updates/libgweather-3.10.2-3.fc20 and https://admin.fedoraproject.org/updates/libgweather-3.13.91-3.fc21 . These work for me. (For gnome-shell-extension-weather, you also have to restart gnome shell, or log out and back in.)

Comment 7 Fedora Update System 2014-09-11 22:11:35 UTC
Package libgweather-3.13.91-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libgweather-3.13.91-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10689/libgweather-3.13.91-3.fc21
then log in and leave karma (feedback).

Comment 8 Adam Williamson 2014-09-11 22:25:25 UTC
I'm a weak +1 FE, but there were some -1 votes on IRC too, think we're either unclear or weakly -1 overall. If folks could please vote on the ticket, it's more transparent that way?

Comment 9 Christopher Tubbs 2014-09-12 03:02:50 UTC
Tested 3.10.2-3.fc20 from koji and confirmed it fixes the issue. Will give karma when it gets pushed to testing.

Comment 10 Fedora Update System 2014-09-12 14:28:54 UTC
libgweather-3.10.2-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-09-17 19:35:14 UTC
accerciser-3.13.92-1.fc21,anjuta-3.13.92-1.fc21,appstream-0.7.1-1.fc21,appstream-data-21-13.fc21,at-spi2-core-2.13.92-1.fc21,bijiben-3.13.92-1.fc21,brasero-3.11.4-2.fc21,caribou-0.4.15-1.fc21,cheese-3.13.92-1.fc21,clutter-1.19.10-1.fc21,colord-1.2.3-2.fc21,colorhug-client-0.2.2-1.fc21,control-center-3.13.92-1.fc21,devhelp-3.13.92-1.fc21,empathy-3.12.6-1.fc21,eog-3.13.92-1.fc21,eog-plugins-3.13.92-1.fc21,epiphany-3.13.91-1.fc21,evince-3.13.92-1.fc21,file-roller-3.13.92-1.fc21,five-or-more-3.13.92-1.fc21,folks-0.10.0-1.fc21,four-in-a-row-3.13.92-1.fc21,gcr-3.13.91-2.fc21,gdm-3.13.92-1.fc21,glib2-2.41.5-1.fc21,glibmm24-2.41.4-1.fc21,glib-networking-2.41.92-1.fc21,gnome-backgrounds-3.13.92-1.fc21,gnome-boxes-3.13.92-1.fc21,gnome-calculator-3.13.92-1.fc21,gnome-chess-3.13.92-1.fc21,gnome-contacts-3.13.92-1.fc21,gnome-desktop3-3.13.92-1.fc21,gnome-devel-docs-3.13.92-1.fc21,gnome-documents-3.13.92-1.fc21,gnome-initial-setup-3.13.7-1.fc21,gnome-keyring-3.13.91-1.fc21,gnome-logs-3.13.92-1.fc21,gnome-mahjongg-3.13.92-1.fc21,gnome-maps-3.13.92-1.fc21,gnome-mines-3.13.92-1.fc21,gnome-music-3.13.92-1.fc21,gnome-nibbles-3.13.92-1.fc21,gnome-online-accounts-3.13.92-1.fc21,gnome-packagekit-3.13.92-1.fc21,gnome-photos-3.13.92-1.fc21,gnome-robots-3.13.92-1.fc21,gnome-screenshot-3.13.92-1.fc21,gnome-settings-daemon-3.13.92-1.fc21,gnome-shell-3.13.92-1.fc21,gnome-shell-extensions-3.13.92-1.fc21,gnome-software-3.13.92-2.fc21,gnome-sound-recorder-3.14-1.fc21,gnome-sudoku-3.13.92-1.fc21,gnome-system-monitor-3.13.92-1.fc21,gnome-terminal-3.13.92-1.fc21,gnome-tetravex-3.13.92-1.fc21,gnome-user-docs-3.13.92-1.fc21,gnome-user-share-3.13.91-1.fc21,gnome-weather-3.13.92-1.fc21,gtk3-3.13.9-1.fc21,gtkmm30-3.13.8-1.fc21,gtksourceview3-3.13.91-1.fc21,gvfs-1.21.92-1.fc21,hitori-3.13.92-1.fc21,inkscape-0.48.5-2.fc21,libgdl-3.13.92-1.fc21,libgee-0.15.92-1.fc21,libgexiv2-0.10.2-1.fc21,libgit2-glib-0.0.22-1.fc21,libgweather-3.13.92-1.fc21,libhif-0.1.4-1.fc21,libinput-0.6.0-2.fc21,librsvg2-2.40.4-1.fc21,libsecret-0.18-5.fc21,libsigc++20-2.4.0-1.fc21,libsoup-2.47.92-1.fc21,lightsoff-3.13.92-1.fc21,mm-common-0.9.7-1.fc21,mutter-3.13.92-1.fc21.1,nautilus-3.13.92-1.fc21,PackageKit-1.0.0-2.fc21,polari-3.13.92-1.fc21,pygobject3-3.13.92-1.fc21,quadrapassel-3.13.92-1.fc21,simple-scan-3.13.92-1.fc21,sound-juicer-3.13.92-1.fc21,swell-foop-3.13.92-1.fc21,tali-3.13.92-1.fc21,vala-0.25.4-1.fc21,vinagre-3.13.92-1.fc21,vte291-0.38.0-1.fc21,weston-1.5.91-2.fc21,xorg-x11-drv-libinput-0.1.2-3.fc21,yelp-3.13.92-1.fc21,yelp-xsl-3.13.92-1.fc21,zenity-3.13.92-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/accerciser-3.13.92-1.fc21,anjuta-3.13.92-1.fc21,appstream-0.7.1-1.fc21,appstream-data-21-13.fc21,at-spi2-core-2.13.92-1.fc21,bijiben-3.13.92-1.fc21,brasero-3.11.4-2.fc21,caribou-0.4.15-1.fc21,cheese-3.13.92-1.fc21,clutter-1.19.10-1.fc21,colord-1.2.3-2.fc21,colorhug-client-0.2.2-1.fc21,control-center-3.13.92-1.fc21,devhelp-3.13.92-1.fc21,empathy-3.12.6-1.fc21,eog-3.13.92-1.fc21,eog-plugins-3.13.92-1.fc21,epiphany-3.13.91-1.fc21,evince-3.13.92-1.fc21,file-roller-3.13.92-1.fc21,five-or-more-3.13.92-1.fc21,folks-0.10.0-1.fc21,four-in-a-row-3.13.92-1.fc21,gcr-3.13.91-2.fc21,gdm-3.13.92-1.fc21,glib2-2.41.5-1.fc21,glibmm24-2.41.4-1.fc21,glib-networking-2.41.92-1.fc21,gnome-backgrounds-3.13.92-1.fc21,gnome-boxes-3.13.92-1.fc21,gnome-calculator-3.13.92-1.fc21,gnome-chess-3.13.92-1.fc21,gnome-contacts-3.13.92-1.fc21,gnome-desktop3-3.13.92-1.fc21,gnome-devel-docs-3.13.92-1.fc21,gnome-documents-3.13.92-1.fc21,gnome-initial-setup-3.13.7-1.fc21,gnome-keyring-3.13.91-1.fc21,gnome-logs-3.13.92-1.fc21,gnome-mahjongg-3.13.92-1.fc21,gnome-maps-3.13.92-1.fc21,gnome-mines-3.13.92-1.fc21,gnome-music-3.13.92-1.fc21,gnome-nibbles-3.13.92-1.fc21,gnome-online-accounts-3.13.92-1.fc21,gnome-packagekit-3.13.92-1.fc21,gnome-photos-3.13.92-1.fc21,gnome-robots-3.13.92-1.fc21,gnome-screenshot-3.13.92-1.fc21,gnome-settings-daemon-3.13.92-1.fc21,gnome-shell-3.13.92-1.fc21,gnome-shell-extensions-3.13.92-1.fc21,gnome-software-3.13.92-2.fc21,gnome-sound-recorder-3.14-1.fc21,gnome-sudoku-3.13.92-1.fc21,gnome-system-monitor-3.13.92-1.fc21,gnome-terminal-3.13.92-1.fc21,gnome-tetravex-3.13.92-1.fc21,gnome-user-docs-3.13.92-1.fc21,gnome-user-share-3.13.91-1.fc21,gnome-weather-3.13.92-1.fc21,gtk3-3.13.9-1.fc21,gtkmm30-3.13.8-1.fc21,gtksourceview3-3.13.91-1.fc21,gvfs-1.21.92-1.fc21,hitori-3.13.92-1.fc21,inkscape-0.48.5-2.fc21,libgdl-3.13.92-1.fc21,libgee-0.15.92-1.fc21,libgexiv2-0.10.2-1.fc21,libgit2-glib-0.0.22-1.fc21,libgweather-3.13.92-1.fc21,libhif-0.1.4-1.fc21,libinput-0.6.0-2.fc21,librsvg2-2.40.4-1.fc21,libsecret-0.18-5.fc21,libsigc++20-2.4.0-1.fc21,libsoup-2.47.92-1.fc21,lightsoff-3.13.92-1.fc21,mm-common-0.9.7-1.fc21,mutter-3.13.92-1.fc21.1,nautilus-3.13.92-1.fc21,PackageKit-1.0.0-2.fc21,polari-3.13.92-1.fc21,pygobject3-3.13.92-1.fc21,quadrapassel-3.13.92-1.fc21,simple-scan-3.13.92-1.fc21,sound-juicer-3.13.92-1.fc21,swell-foop-3.13.92-1.fc21,tali-3.13.92-1.fc21,vala-0.25.4-1.fc21,vinagre-3.13.92-1.fc21,vte291-0.38.0-1.fc21,weston-1.5.91-2.fc21,xorg-x11-drv-libinput-0.1.2-3.fc21,yelp-3.13.92-1.fc21,yelp-xsl-3.13.92-1.fc21,zenity-3.13.92-1.fc21

Comment 12 Fedora Update System 2014-09-27 09:51:47 UTC
gnome-clocks-3.13.92-1.fc21, gnome-dictionary-3.13.92-3.fc21, libchamplain-0.12.9-1.fc21, libgdata-0.16.0-1.fc21, orca-3.13.92-1.fc21, accerciser-3.13.92-1.fc21, anjuta-3.13.92-1.fc21, appstream-0.7.1-1.fc21, appstream-data-21-13.fc21, at-spi2-core-2.13.92-1.fc21, bijiben-3.13.92-1.fc21, brasero-3.11.4-2.fc21, caribou-0.4.15-1.fc21, cheese-3.13.92-1.fc21, clutter-1.19.10-1.fc21, colord-1.2.3-2.fc21, colorhug-client-0.2.2-1.fc21, control-center-3.13.92-1.fc21, devhelp-3.13.92-1.fc21, empathy-3.12.6-1.fc21, eog-3.13.92-1.fc21, eog-plugins-3.13.92-1.fc21, epiphany-3.13.91-1.fc21, evince-3.13.92-1.fc21, file-roller-3.13.92-1.fc21, five-or-more-3.13.92-1.fc21, folks-0.10.0-1.fc21, four-in-a-row-3.13.92-1.fc21, gcr-3.13.91-2.fc21, gdm-3.13.92-1.fc21, glib2-2.41.5-1.fc21, glibmm24-2.41.4-1.fc21, glib-networking-2.41.92-1.fc21, gnome-backgrounds-3.13.92-1.fc21, gnome-boxes-3.13.92-1.fc21, gnome-calculator-3.13.92-1.fc21, gnome-chess-3.13.92-1.fc21, gnome-contacts-3.13.92-1.fc21, gnome-desktop3-3.13.92-1.fc21, gnome-devel-docs-3.13.92-1.fc21, gnome-documents-3.13.92-1.fc21, gnome-initial-setup-3.13.7-1.fc21, gnome-keyring-3.13.91-1.fc21, gnome-logs-3.13.92-1.fc21, gnome-mahjongg-3.13.92-1.fc21, gnome-maps-3.13.92-1.fc21, gnome-mines-3.13.92-1.fc21, gnome-music-3.13.92-1.fc21, gnome-nibbles-3.13.92-1.fc21, gnome-online-accounts-3.13.92-1.fc21, gnome-packagekit-3.13.92-1.fc21, gnome-photos-3.13.92-1.fc21, gnome-robots-3.13.92-1.fc21, gnome-screenshot-3.13.92-1.fc21, gnome-settings-daemon-3.13.92-1.fc21, gnome-shell-3.13.92-1.fc21, gnome-shell-extensions-3.13.92-1.fc21, gnome-software-3.13.92-2.fc21, gnome-sound-recorder-3.14-1.fc21, gnome-sudoku-3.13.92-1.fc21, gnome-system-monitor-3.13.92-1.fc21, gnome-terminal-3.13.92-1.fc21, gnome-tetravex-3.13.92-1.fc21, gnome-user-docs-3.13.92-1.fc21, gnome-user-share-3.13.91-1.fc21, gnome-weather-3.13.92-1.fc21, gtk3-3.13.9-1.fc21, gtkmm30-3.13.8-1.fc21, gtksourceview3-3.13.91-1.fc21, gvfs-1.21.92-1.fc21, hitori-3.13.92-1.fc21, inkscape-0.48.5-2.fc21, libgdl-3.13.92-1.fc21, libgee-0.15.92-1.fc21, libgexiv2-0.10.2-1.fc21, libgit2-glib-0.0.22-1.fc21, libgweather-3.13.92-1.fc21, libhif-0.1.4-1.fc21, libinput-0.6.0-2.fc21, librsvg2-2.40.4-1.fc21, libsecret-0.18-5.fc21, libsigc++20-2.4.0-1.fc21, libsoup-2.47.92-1.fc21, lightsoff-3.13.92-1.fc21, mm-common-0.9.7-1.fc21, mutter-3.13.92-1.fc21.1, nautilus-3.13.92-1.fc21, PackageKit-1.0.0-2.fc21, polari-3.13.92-1.fc21, pygobject3-3.13.92-1.fc21, quadrapassel-3.13.92-1.fc21, simple-scan-3.13.92-1.fc21, sound-juicer-3.13.92-1.fc21, swell-foop-3.13.92-1.fc21, tali-3.13.92-1.fc21, vala-0.25.4-1.fc21, vinagre-3.13.92-1.fc21, vte291-0.38.0-1.fc21, weston-1.5.91-2.fc21, xorg-x11-drv-libinput-0.1.2-3.fc21, yelp-3.13.92-1.fc21, yelp-xsl-3.13.92-1.fc21, zenity-3.13.92-1.fc21, gnome-tweak-tool-3.13.92-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.